
User Interface - Bug #3107

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

GUI FRAME height may be calculated wrong due to rounding

05/12/2016 01:26 PM - Hynek Cihlar

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 05/12/2016 01:29 PM - Hynek Cihlar

/* the test assumes 1 pixel equals to 0.05 vertical characters */

DEFINE RECTANGLE r1 SIZE 10 BY .86 BGCOLOR 0.

DEFINE FRAME f1 r1 WITH SIDE-LABELS NO-BOX.

VIEW FRAME f1.

MESSAGE r1:HEIGHT FRAME f1:HEIGHT r1:HEIGHT-PIXELS FRAME f1:HEIGHT-PIXELS.

DEFINE RECTANGLE r2 SIZE 10 BY .87 BGCOLOR 0.

DEFINE FRAME f2 r2 WITH SIDE-LABELS NO-BOX.

VIEW FRAME f2.

MESSAGE r2:HEIGHT FRAME f2:HEIGHT r2:HEIGHT-PIXELS FRAME f2:HEIGHT-PIXELS.

/* 

   This case shows a difference between P2J and native 4GL,

   while in 4GL the frame height is (rounded) to 0.91 and

   the widget height 0.86, in P2J both the frame and 

   the widget height are 0.86. 

*/

DEFINE RECTANGLE r3 SIZE 10 BY .88 BGCOLOR 0.

DEFINE FRAME f3 r3 WITH SIDE-LABELS NO-BOX.

VIEW FRAME f3.

MESSAGE r3:HEIGHT FRAME f3:HEIGHT r3:HEIGHT-PIXELS FRAME f3:HEIGHT-PIXELS.

DEFINE RECTANGLE r4 SIZE 10 BY .89 BGCOLOR 0.

DEFINE FRAME f4 r4 WITH SIDE-LABELS NO-BOX.

VIEW FRAME f4.

MESSAGE r4:HEIGHT FRAME f4:HEIGHT r4:HEIGHT-PIXELS FRAME f4:HEIGHT-PIXELS.

DEFINE RECTANGLE r5 SIZE 10 BY .90 BGCOLOR 0.

DEFINE FRAME f5 r5 WITH SIDE-LABELS NO-BOX.

VIEW FRAME f5.

MESSAGE r5:HEIGHT FRAME f5:HEIGHT r5:HEIGHT-PIXELS FRAME f5:HEIGHT-PIXELS.

DEFINE RECTANGLE r6 SIZE 10 BY .91 BGCOLOR 0.

DEFINE FRAME f6 r6 WITH SIDE-LABELS NO-BOX.

VIEW FRAME f6.

MESSAGE r6:HEIGHT FRAME f6:HEIGHT r6:HEIGHT-PIXELS FRAME f6:HEIGHT-PIXELS.
#2 - 06/16/2016 09:34 AM - Greg Shah

- Parent task set to #2677
